/*
Instructions for BB Theme 2 (2.149.2)
Just for colors change you can override variables like this:
    $dp-month-name-color: $nlbDarkestGreyColor;
    $dp-hover-bg: $navigationLightGray;
But in currently we ovverirde the whole  ngb-datepicker style.
 You hve to decorate div with id ="nlbDatepicker" for styles to be uses appropriate. In this way the default sytle is overwritten.
 like this:

 <div class="modal-content-custom" id="nlbDatepicker"> <!-- id="nlbDatepicker" is for apllying custom datepicker.scss styles-->
        <ngb-datepicker ....

 default style:
  node_modules\@backbase\backbase-theme\scss\5-components\ng-bootstrap\_ngb-datepicker.scss



*/

#nlbDatepicker ngb-datepicker {
  border: none !important;

  .bs-datepicker-head {
    background-color: transparent;
  }

  .bs-datepicker-head button {
    color: black;
  }

  .custom-day.range {
    display: flex;
    align-items: center;
    justify-content: center;

    &.firstInRangeSelected {
      border-top-left-radius: 12px;
      border-bottom-left-radius: 12px;
    }

    &.lastInRangeSelected {
      border-top-right-radius: 12px;
      border-bottom-right-radius: 12px;
    }

    @include media-breakpoint-down(sm) {
      width: 45px;
    }
  }

  //.ngb-dp-today {
  //  .custom-day {
  //    background-color: #555;
  //    border-radius: 12px;
  //    height: 24px;
  //    width: 24px;
  //    color: white;
  //  }
  //}

  .custom-day {
    //color: $nlbMainGreyColor;
    color: inherit;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 32px;
    border-radius: 0px;
    width: 40px;

    &.onlyOneSelected {
      background-color: $nlbIndigoColor;
      border-radius: 12px;
      height: 24px;
      width: 24px;
      color: white;

      &:hover {
        background-color: $nlbIndigoColor;
        color: white;
        height: 24px;
        width: 24px;
      }
    }

    //&.selected {
    //  background-color: $nlbIndigoColor;
    //  border-radius: 12px;
    //  height: 24px;
    //  width: 24px;
    //  color: white;
    //
    //  &:hover {
    //    background-color: $nlbIndigoColor;
    //    color: white;
    //    height: 24px;
    //    width: 24px;
    //  }
    //}

    &:hover {
      background-color: $navigationLightGray;
      border-radius: 50%;
      height: 32px;
      width: 32px;
      position: absolute;
    }

    &.faded {
      background-color: $nlbIndigoShade2Color;
      border-radius: 50%;
      height: 32px;
      width: 32px;
      color: $nlbIndigoColor;

      &.range {
        background-color: $nlbIndigoShade2Color;
        color: $nlbIndigoColor;
        width: 45px;
        //height: 19px;
        height: 20px;
        border-radius: 0;

        &:hover {
          position: inherit;
        }
      }
    }

    &.firstInRangeSelected {
      border-top-left-radius: 12px;
      border-bottom-left-radius: 12px;
      background-color: $nlbIndigoColor;
      height: 20px;
      color: white;
      width: 100%;

      &:hover {
        color: $nlbWhiteColor;
        background-color: $nlbIndigoColor;
        border-radius: 12px 0 0 12px;
        position: inherit;
      }
    }

    &.lastInRangeSelected {
      background-color: $nlbIndigoColor;
      height: 20px;
      color: white;
      width: 100%;
      border-top-right-radius: 12px;
      border-bottom-right-radius: 12px;

      &:hover {
        color: $nlbWhiteColor;
        background-color: $nlbIndigoColor;
        border-radius: 0 12px 12px 0;
        position: inherit;
      }
    }
  }

  .custom-day.hovered {
    color: $nlbIndigoShadeColor;
    background-color: $navigationLightGray;
    border-radius: 16px;
    height: 32px;
    width: 32px;
  }

  .ngb-dp-day {
    font-size: 12px;
    font-weight: normal;
    vertical-align: middle;
    width: 40px;
    height: 24px;
    margin: 0 0;
    display: flex;
    align-items: center;
    justify-content: center;

    .btn-light {
      color: $nlb-gray-7;
    }

    @include media-breakpoint-down(sm) {
      margin: 4px 0;
      width: 39px;
      height: 22px;
    }

    .bg-primary {
      background-color: $nlbIndigoShadeColor !important;
    }

    &:focus {
      box-shadow: none;
      outline: none;
    }
  }

  .disabled {
    color: $nlbLightGreyColor !important;
  }

  //@include media-breakpoint-up(sm) {
  //  .modal-dialog {
  //    max-width: 768px !important;
  //  }
  //}

  .ngb-dp-weekdays {
    border-bottom: none !important;
    background-color: transparent !important;
  }

  // higher css point
  /*
  ngb-datepicker {

    .ngb-dp-arrow {
      max-height: 15px;

      button.btn:disabled {
        background-color: transparent;
      }

      &-btn:focus {
        outline-width: 0;
        outline-style: none;
      }
    }
    .ngb-dp-month-name {
      line-height: normal;
      max-height: 20px;
      background-color: transparent !important;
    }
    .ngb-dp-month {

      margin-bottom: 24px;

      &:first-child .ngb-dp-week {
        padding-left: 0;
      }

      &:last-child .ngb-dp-week {
        padding-right: 0;
      }

      //.ngb-dp-day, .ngb-dp-week-number, .ngb-dp-weekday {
      //  width: 40px;
      //}

      .ngb-dp-day {
        width: 40px;
        height: 18px;

        @include media-breakpoint-down(md) {
          width: 37px;
        }

        @include media-breakpoint-down(sm) {
          width: 45px;
        }
      }

      .ngb-dp-weekday {

        line-height: normal;
        height: unset;
        font-style: normal !important;
        color: $navigationLabelGray !important;

        &.small {
          width: 40px;
          font-size: 12px;
          font-weight: 500;
          text-transform: capitalize;
        }

        @include media-breakpoint-down(md) {
          width: 37px;
        }

        @include media-breakpoint-down(sm) {
          width: 45px;
        }
      }

      .ngb-dp-week {
        padding-top: 16px;

      }
    }
  }
*/
  .ngb-dp-month-name {
    font-weight: bold;
    font-size: 16px !important;
    color: $nlbDarkestGreyColor;
    text-transform: capitalize;
    line-height: normal;
    max-height: 20px;
    background-color: transparent !important;
  }

  .ngb-dp-arrow-btn {
    margin: 0 1rem;
    outline: none;
    box-shadow: none;
    &:focus {
      box-shadow: none;
    }
  }

  .ngb-dp-arrow {
    align-items: center;
    outline: none;

    .btn-link {
      color: black;
      background-color: transparent;
    }

    .btn {
      font-size: xx-small;
    }

    .btn-link:not(:disabled):not(.disabled):hover {
      background-color: transparent;
    }
  }

  .ngb-dp-arrow {
    max-height: 15px;

    button.btn:disabled {
      background-color: transparent;
    }

    &-btn:focus {
      outline-width: 0;
      outline-style: none;
      border: none;
    }
  }

  .ngb-dp-months {
    @include media-breakpoint-down(sm) {
      justify-content: center !important;
    }
  }

  .ngb-dp-header {
    padding-top: 5px !important;
    background-color: transparent !important;
  }

  .bg-light {
    background-color: transparent !important;
  }

  .datetime-container {
    .modal {
      .modal-header {
        padding-bottom: 15px;
      }
    }

    .ngb-dp-header {
      padding-top: 16px !important;
    }
  }
  .date-range-suggested-text {
    color: $nlbMainGreyColor;
    font-size: 14px;
    font-weight: normal;
    font-family: 'Istok Web Regular', sans-serif;
  }

  @include media-breakpoint-down(sm) {
    .btn-datepicker:first-child {
      text-align: left;
      //margin-left: -15px !important;
    }
  }

  .ngb-dp-month {
    margin-bottom: 24px;

    &:first-child .ngb-dp-week {
      padding-left: 0;
    }

    &:last-child .ngb-dp-week {
      padding-right: 0;
    }

    //.ngb-dp-day, .ngb-dp-week-number, .ngb-dp-weekday {
    //  width: 40px;
    //}

    .ngb-dp-day {
      width: 40px;
      height: 18px;

      @include media-breakpoint-down(md) {
        width: 37px;
      }

      @include media-breakpoint-down(sm) {
        width: 45px;
      }
    }

    .ngb-dp-weekday {
      line-height: normal;
      height: unset;
      font-style: normal !important;
      color: $navigationLabelGray !important;

      &.small {
        width: 40px;
        font-size: 12px;
        font-weight: 500;
        text-transform: capitalize;
      }

      @include media-breakpoint-down(md) {
        width: 37px;
      }

      @include media-breakpoint-down(sm) {
        width: 45px;
      }
    }

    .ngb-dp-week {
      padding-top: 16px;
    }
  }
}

#nlbDatepicker {
  min-height: 320px;
  @media (max-width: 767.98px) {
    min-height: 390px;
  }
}

// nlb-date-range-component componente styles outside ngb-datepicker component

.btn:focus {
  box-shadow: none;
}

.btn {
  font-size: 14px;
  border: none;
}

.btn-datepicker {
  font-size: 14px !important;
  color: black;
  width: 100px;
  background: $gray-300;
  padding: 0.5rem;
  height: 32px;
  @include media-breakpoint-down(sm) {
    width: 95px;
  }
}

.btn-apply {
  color: white;
  background: $gray-800;
}
